English

FAQ: Why does ArcGIS Desktop require Internet Explorer?

Question

Why does ArcGIS Desktop require Internet Explorer?

Answer

ArcGIS Desktop requires Microsoft Internet Explorer to work properly. For example, ArcGIS Pro 2.5 and ArcGIS Desktop 10.8  require Internet Explorer 11, at minimum. This is because ArcGIS relies on many shared system files from Internet Explorer for ArcCatalog, the Add Data dialog box, ArcToolbox tools, and other features to work.

The ArcGIS requirement of Internet Explorer is fairly widespread throughout the application, so there is no list of ArcGIS features that specifically require it.

Related Information